Package org.eclipse.m2m.atl.emftvm.util

# Class DuplicateEntryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.m2m.atl.emftvm.util.DuplicateEntryException

All Implemented Interfaces:
  `Serializable`

public class DuplicateEntryException extends RuntimeException
Duplicate entry in `TypeHashMap`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DuplicateEntryException()`
Creates a new `DuplicateEntryException`.
`DuplicateEntryException(String msg)`
Creates a new `DuplicateEntryException`.
`DuplicateEntryException(String msg, Throwable cause)`
Creates a new `DuplicateEntryException`.
`DuplicateEntryException(Throwable cause)`
Creates a new `DuplicateEntryException`.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuplicateEntryException

public DuplicateEntryException()
Creates a new `DuplicateEntryException`.

### DuplicateEntryException

public DuplicateEntryException(String msg)
Creates a new `DuplicateEntryException`.

Parameters:
  `msg` - the error message

### DuplicateEntryException

public DuplicateEntryException(Throwable cause)
Creates a new `DuplicateEntryException`.

Parameters:
  `cause` - the nested exception

### DuplicateEntryException

public DuplicateEntryException(String msg, Throwable cause)
Creates a new `DuplicateEntryException`.

Parameters:
  `msg` - the error message
  `cause` - the nested exception